{
  name = "tor";
  machine = { pkgs, ... }: {
    imports = [ ../nixos-modules/hardware.nix ../nixos-modules/systemd.nix ];
    services.tor = {
      enable = true;
      client.enable = false;
      relay = {
        enable = true;
        port = 80;
        role = "relay";
        bridgeTransports = [ ];
      };
    };
    systemd.services.tor.genode = {
      enable = true;
      interface = "eth1";
    };
  };
}
